Subject: Re: Recommended work flow with git to send in patches

From: Ramkumar Ramachandra <[email-masked]>
Date: Tue, 27 Jul 2010 21:09:03 +0530

Hi Tong,

Tong Sun writes:
> Compressing my "life long story" into a single question -- what's the
> recommended work flow to work with git and send in patches, when
> upstream might be slow in respond, and require squashing relevant
> patches into one?

Personally, I use `git symbolic-ref` to create a new branch without
history, stage and create commits to send off to the list from there;
it's also worth noting that I keep the branch to fixup my commits and
re-roll after reviews.

-- Ram